org.apache.uima.cas

## Class CASRuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.uima.InternationalizedRuntimeException
        - - org.apache.uima.UIMARuntimeException
          - - org.apache.uima.cas.CASRuntimeException

- All Implemented Interfaces:
    Serializable

      public class CASRuntimeException
      extends UIMARuntimeException

  Runtime exception class for package org.apache.uima.cas. Messages in org.apache.uima.UIMAException_Messages
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ANNOTATION_IN_WRONG_INDEX` Error - the Annotation "{0}" is over view "{1}" and cannot be added to indexes associated with the different view "{2}".
    `static String` | `BLOB_DESERIALIZATION` Error while deserializing binary CAS.
    `static String` | `BLOB_SERIALIZATION` Error trying to do binary serialization of CAS data and write the BLOB to an output stream.
    `static String` | `CANNOT_CLONE_SOFA` SofaFS may not be cloned.
    `static String` | `CAS_MISMATCH` Mismatched CAS "{0}".
    `static String` | `CHILD_INDEX_OOB` Error accessing child node in tree, index out of range.
    `static String` | `DELTA_CAS_PREEXISTING_FS_DISALLOWED` Received pre-existing FS "{0}".
    `static String` | `DEREF_FS_OTHER_CAS` Dereferencing a FeatureStructure of a CAS in a different CAS's context.
    `static String` | `DESERIALIZING_BINARY_INVALID_HEADER` Deserializing Binary Header invalid
    `static String` | `DESERIALIZING_COMPRESSED_BINARY_UNSUPPORTED` Deserializing compressed binary other than form 4 not supported by this method
    `static String` | `DISALLOW_CREATE_ANNOTATION_IN_BASE_CAS` The type "{0}", a subtype of AnnotationBase, can''t be created in the Base CAS.
    `static String` | `ILLEGAL_ARRAY_SIZE` Array size must be >= 0.
    `static String` | `ILLEGAL_FEAT_SET` While FS was in the index, illegal attempt to modify Feature "{0}" which is used as a key in one or more indexes; FS = "{1}"
    `static String` | `ILLEGAL_STRING_VALUE` Error setting string value: string "{0}" is not valid for a value of type "{1}".
    `static String` | `INAPPROP_FEAT` Feature "{0}" is not defined for type "{1}".
    `static String` | `INAPPROP_RANGE` Trying to access value of feature "{0}" as "{1}", but range of feature is "{2}".
    `static String` | `INAPPROP_TYPE` Expected value of type "{0}", but found "{1}".
    `static String` | `INVALID_BASE_CAS_METHOD` Can''t call method "{0}" on the base CAS.
    `static String` | `INVALID_FEATURE_PATH` The feature path "{0}" is not valid.
    `static String` | `INVALID_MARKER` Invalid Marker.
    `static String` | `JCAS_CAS_MISMATCH` CAS type system doesn''t match JCas Type definition for type "{0}".
    `static String` | `JCAS_GET_NTH_NEGATIVE_INDEX` JCas getNthElement method called with index "{0}" which is negative.
    `static String` | `JCAS_GET_NTH_ON_EMPTY_LIST` JCas getNthElement method called via invalid object - an empty list: {0}.
    `static String` | `JCAS_GET_NTH_PAST_END` JCas getNthElement method called with index "{0}" larger than the length of the list.
    `static String` | `JCAS_MAKING_ABSTRACT_INSTANCE` A CAS iterator or createFS call is trying to make an instance of type "{0}", but that type has been declared "abstract" in JCas, and no instances are allowed to be made.
    `static String` | `JCAS_MISSING_COVERCLASS` The JCAS cover class "{0}" could not be loaded.
    `static String` | `JCAS_OLDSTYLE_REF_TO_NONJCAS_TYPE` JCas is referencing via a JFSIterator or get method, a type, "{0}", which has no JCAS class model.
    `static String` | `JCAS_TYPE_NOT_IN_CAS` JCas type "{0}" used in Java code, but was not declared in the XML type descriptor.
    `static String` | `JCAS_UNKNOWN_TYPE_NOT_IN_CAS` Unknown JCas type used in Java code but was not declared or imported in the XML descriptor for this component.
    `static String` | `JCAS_UNSUPPORTED_OP_NOT_CAS` The method "{0}" is not supported by this JCAS because it is not associated with a CAS view of a CAS, but rather just with a base CAS.
    `static String` | `LENIENT_FORM_6_NO_TS` Deserializing Compressed Form 6 with CasLoadMode LENIENT, but no Type System provided.
    `static String` | `LENIENT_NOT_SUPPORTED` Lenient deserialization not support for input of type {0}.
    `static String` | `MULTIPLE_CREATE_MARKER` Multiple Create Marker call for a CAS
    `static String` | `NO_PRIMITIVE_TAIL` The feature path does not end in a primitive valued feature.
    `static String` | `NON_CREATABLE_TYPE` Can''t create FS of type "{0}" with this method.
    `static String` | `PRIMITIVE_VAL_FEAT` Trying to access value of feature "{0}" as feature structure, but is primitive type.
    `static String` | `PROTECTED_SOFA_FEATURE` Can''t use standard set methods with SofaFS features.
    `static String` | `SOFADATA_ALREADY_SET` Data for Sofa feature {0} has already been set.
    `static String` | `SOFADATASTREAM_ERROR` Error trying to open a stream to Sofa data.
    `static String` | `SOFANAME_ALREADY_EXISTS` A sofaFS with name {0} has already been created.
    `static String` | `SOFANAME_NOT_FOUND` No sofaFS with name {0} found.
    `static String` | `SOFAREF_NOT_FOUND` No sofaFS for specified sofaRef found.
    `static String` | `SOFAREF_NOT_SET` Sofa reference for FS {0} is required, but it is not set.
    `static String` | `SWITCH_CLASS_LOADER_NESTED` Multiply nested classloaders not supported.
    `static String` | `TYPE_NOT_IN_INDEX` Error accessing index "{0}" for type "{1}".
    `static String` | `TYPESYSTEM_NOT_LOCKED` Error accessing type system: the type system has not been committed.
    `static String` | `UNKNOWN_CONSTRAINT_FEAT` Error applying FS constraString: no feature "{0}" in current type system.
    `static String` | `UNKNOWN_CONSTRAINT_TYPE` Error applying FS constraString: no type "{0}" in current type system.
    `static String` | `UNRECOGNIZED_SERIALIZED_CAS_FORMAT` Unrecognized serialized CAS format.

    - ### Fields inherited from class org.apache.uima.UIMARuntimeException

      `CAS_RELEASE_NOT_ALLOWED_WHILE_WAITING_FOR_UIMA_AS, CAS_RELEASED_TO_WRONG_CAS_MANAGER, COPY_CAS_RANGE_TYPE_NAMES_NOT_EQUAL, DEFINE_CAS_POOL_CALLED_TWICE, ECORE_UNRESOLVED_PROXY, FEATURE_NOT_FOUND_DURING_CAS_COPY, ILLEGAL_ADDING_OF_NEW_META_INFO_AFTER_CAS_DEFINED, ILLEGAL_CAS_COPY_TO_SAME_CAS, ILLEGAL_FS_FEAT_UPDATE, INCOMPATIBLE_TAF_JNI_LIBRARY, REQUESTED_TOO_MANY_CAS_INSTANCES, RESULT_SPEC_NULL, STANDARD_MESSAGE_CATALOG, TYPE_NOT_FOUND_DURING_CAS_COPY, UIMA_CONTEXT_NULL, UIMA_ECORE_NOT_FOUND, UNSUPPORTED_CAS_COPY_TO_OR_FROM_BASE_CAS, UNSUPPORTED_CAS_INTERFACE, VIEW_NOT_PART_OF_CAS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CASRuntimeException()`
    `CASRuntimeException(String messageKey)`
    `CASRuntimeException(String aMessageKey, Object[] aArguments)`
    `CASRuntimeException(String aMessageKey, Object[] aArguments, Throwable aCause)`
    `CASRuntimeException(String aResourceBundleName, String aMessageKey, Object[] aArguments)`
    `CASRuntimeException(String aResourceBundleName, String aMessageKey, Object[] aArguments, Throwable aCause)`
    `CASRuntimeException(Throwable aCause)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.uima.InternationalizedRuntimeException

      `getArguments, getCause, getLocalizedMessage, getLocalizedMessage, getMessage, getMessageKey, getResourceBundleName, initCause, setResourceBundle`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NON_CREATABLE_TYPE

          public static final String NON_CREATABLE_TYPE

      Can''t create FS of type "{0}" with this method.
      See Also:
        Constant Field Values

    - #### ILLEGAL_ARRAY_SIZE

          public static final String ILLEGAL_ARRAY_SIZE

      Array size must be >= 0.
      See Also:
        Constant Field Values

    - #### INAPPROP_TYPE

          public static final String INAPPROP_TYPE

      Expected value of type "{0}", but found "{1}".
      See Also:
        Constant Field Values

    - #### INAPPROP_FEAT

          public static final String INAPPROP_FEAT

      Feature "{0}" is not defined for type "{1}".
      See Also:
        Constant Field Values

    - #### INAPPROP_RANGE

          public static final String INAPPROP_RANGE

      Trying to access value of feature "{0}" as "{1}", but range of feature is "{2}".
      See Also:
        Constant Field Values

    - #### PRIMITIVE_VAL_FEAT

          public static final String PRIMITIVE_VAL_FEAT

      Trying to access value of feature "{0}" as feature structure, but is primitive type.
      See Also:
        Constant Field Values

    - #### TYPESYSTEM_NOT_LOCKED

          public static final String TYPESYSTEM_NOT_LOCKED

      Error accessing type system: the type system has not been committed.
      See Also:
        Constant Field Values

    - #### ILLEGAL_STRING_VALUE

          public static final String ILLEGAL_STRING_VALUE

      Error setting string value: string "{0}" is not valid for a value of type "{1}".
      See Also:
        Constant Field Values

    - #### UNKNOWN_CONSTRAINT_TYPE

          public static final String UNKNOWN_CONSTRAINT_TYPE

      Error applying FS constraString: no type "{0}" in current type system.
      See Also:
        Constant Field Values

    - #### UNKNOWN_CONSTRAINT_FEAT

          public static final String UNKNOWN_CONSTRAINT_FEAT

      Error applying FS constraString: no feature "{0}" in current type system.
      See Also:
        Constant Field Values

    - #### CHILD_INDEX_OOB

          public static final String CHILD_INDEX_OOB

      Error accessing child node in tree, index out of range.
      See Also:
        Constant Field Values

    - #### JCAS_CAS_MISMATCH

          public static final String JCAS_CAS_MISMATCH

      CAS type system doesn''t match JCas Type definition for type "{0}".
      See Also:
        Constant Field Values

    - #### JCAS_TYPE_NOT_IN_CAS

          public static final String JCAS_TYPE_NOT_IN_CAS

      JCas type "{0}" used in Java code, but was not declared in the XML type descriptor.
      See Also:
        Constant Field Values

    - #### JCAS_UNKNOWN_TYPE_NOT_IN_CAS

          public static final String JCAS_UNKNOWN_TYPE_NOT_IN_CAS

      Unknown JCas type used in Java code but was not declared or imported in the XML descriptor for this component.
      See Also:
        Constant Field Values

    - #### JCAS_GET_NTH_ON_EMPTY_LIST

          public static final String JCAS_GET_NTH_ON_EMPTY_LIST

      JCas getNthElement method called via invalid object - an empty list: {0}.
      See Also:
        Constant Field Values

    - #### JCAS_GET_NTH_NEGATIVE_INDEX

          public static final String JCAS_GET_NTH_NEGATIVE_INDEX

      JCas getNthElement method called with index "{0}" which is negative.
      See Also:
        Constant Field Values

    - #### JCAS_GET_NTH_PAST_END

          public static final String JCAS_GET_NTH_PAST_END

      JCas getNthElement method called with index "{0}" larger than the length of the list.
      See Also:
        Constant Field Values

    - #### JCAS_OLDSTYLE_REF_TO_NONJCAS_TYPE

          public static final String JCAS_OLDSTYLE_REF_TO_NONJCAS_TYPE

      JCas is referencing via a JFSIterator or get method, a type, "{0}", which has no JCAS class model. You must use FSIterator instead of JFSIterator.
      See Also:
        Constant Field Values

    - #### JCAS_MAKING_ABSTRACT_INSTANCE

          public static final String JCAS_MAKING_ABSTRACT_INSTANCE

      A CAS iterator or createFS call is trying to make an instance of type "{0}", but that type has been declared "abstract" in JCas, and no instances are allowed to be made.
      See Also:
        Constant Field Values

    - #### JCAS_UNSUPPORTED_OP_NOT_CAS

          public static final String JCAS_UNSUPPORTED_OP_NOT_CAS

      The method "{0}" is not supported by this JCAS because it is not associated with a CAS view of a CAS, but rather just with a base CAS.
      See Also:
        Constant Field Values

    - #### SOFANAME_ALREADY_EXISTS

          public static final String SOFANAME_ALREADY_EXISTS

      A sofaFS with name {0} has already been created.
      See Also:
        Constant Field Values

    - #### SOFADATA_ALREADY_SET

          public static final String SOFADATA_ALREADY_SET

      Data for Sofa feature {0} has already been set.
      See Also:
        Constant Field Values

    - #### SOFANAME_NOT_FOUND

          public static final String SOFANAME_NOT_FOUND

      No sofaFS with name {0} found.
      See Also:
        Constant Field Values

    - #### SOFAREF_NOT_FOUND

          public static final String SOFAREF_NOT_FOUND

      No sofaFS for specified sofaRef found.
      See Also:
        Constant Field Values

    - #### SOFAREF_NOT_SET

          public static final String SOFAREF_NOT_SET

      Sofa reference for FS {0} is required, but it is not set. This can happen during deserialization when the type system changes where this FeatureStructure''s type definition is now a subtype of uima.cas.AnnotationBase but was not when the serialized form was created.
      See Also:
        Constant Field Values

    - #### PROTECTED_SOFA_FEATURE

          public static final String PROTECTED_SOFA_FEATURE

      Can''t use standard set methods with SofaFS features.
      See Also:
        Constant Field Values

    - #### JCAS_MISSING_COVERCLASS

          public static final String JCAS_MISSING_COVERCLASS

      The JCAS cover class "{0}" could not be loaded.
      See Also:
        Constant Field Values

    - #### INVALID_FEATURE_PATH

          public static final String INVALID_FEATURE_PATH

      The feature path "{0}" is not valid.
      See Also:
        Constant Field Values

    - #### NO_PRIMITIVE_TAIL

          public static final String NO_PRIMITIVE_TAIL

      The feature path does not end in a primitive valued feature.
      See Also:
        Constant Field Values

    - #### BLOB_SERIALIZATION

          public static final String BLOB_SERIALIZATION

      Error trying to do binary serialization of CAS data and write the BLOB to an output stream.
      See Also:
        Constant Field Values

    - #### UNRECOGNIZED_SERIALIZED_CAS_FORMAT

          public static final String UNRECOGNIZED_SERIALIZED_CAS_FORMAT

      Unrecognized serialized CAS format.
      See Also:
        Constant Field Values

    - #### BLOB_DESERIALIZATION

          public static final String BLOB_DESERIALIZATION

      Error while deserializing binary CAS. {0}.
      See Also:
        Constant Field Values

    - #### LENIENT_FORM_6_NO_TS

          public static final String LENIENT_FORM_6_NO_TS

      Deserializing Compressed Form 6 with CasLoadMode LENIENT, but no Type System provided.
      See Also:
        Constant Field Values

    - #### SOFADATASTREAM_ERROR

          public static final String SOFADATASTREAM_ERROR

      Error trying to open a stream to Sofa data.
      See Also:
        Constant Field Values

    - #### INVALID_BASE_CAS_METHOD

          public static final String INVALID_BASE_CAS_METHOD

      Can''t call method "{0}" on the base CAS.
      See Also:
        Constant Field Values

    - #### ANNOTATION_IN_WRONG_INDEX

          public static final String ANNOTATION_IN_WRONG_INDEX

      Error - the Annotation "{0}" is over view "{1}" and cannot be added to indexes associated with the different view "{2}".
      See Also:
        Constant Field Values

    - #### TYPE_NOT_IN_INDEX

          public static final String TYPE_NOT_IN_INDEX

      Error accessing index "{0}" for type "{1}". Index "{0}" is over type "{2}", which is not a supertype of "{1}".
      See Also:
        Constant Field Values

    - #### DISALLOW_CREATE_ANNOTATION_IN_BASE_CAS

          public static final String DISALLOW_CREATE_ANNOTATION_IN_BASE_CAS

      The type "{0}", a subtype of AnnotationBase, can''t be created in the Base CAS.
      See Also:
        Constant Field Values

    - #### CANNOT_CLONE_SOFA

          public static final String CANNOT_CLONE_SOFA

      SofaFS may not be cloned.
      See Also:
        Constant Field Values

    - #### CAS_MISMATCH

          public static final String CAS_MISMATCH

      Mismatched CAS "{0}".
      See Also:
        Constant Field Values

    - #### DELTA_CAS_PREEXISTING_FS_DISALLOWED

          public static final String DELTA_CAS_PREEXISTING_FS_DISALLOWED

      Received pre-existing FS "{0}".
      See Also:
        Constant Field Values

    - #### INVALID_MARKER

          public static final String INVALID_MARKER

      Invalid Marker.
      See Also:
        Constant Field Values

    - #### MULTIPLE_CREATE_MARKER

          public static final String MULTIPLE_CREATE_MARKER

      Multiple Create Marker call for a CAS
      See Also:
        Constant Field Values

    - #### DESERIALIZING_BINARY_INVALID_HEADER

          public static final String DESERIALIZING_BINARY_INVALID_HEADER

      Deserializing Binary Header invalid
      See Also:
        Constant Field Values

    - #### DESERIALIZING_COMPRESSED_BINARY_UNSUPPORTED

          public static final String DESERIALIZING_COMPRESSED_BINARY_UNSUPPORTED

      Deserializing compressed binary other than form 4 not supported by this method
      See Also:
        Constant Field Values

    - #### DEREF_FS_OTHER_CAS

          public static final String DEREF_FS_OTHER_CAS

      Dereferencing a FeatureStructure of a CAS in a different CAS's context. This can happen if you try to set a feature structure reference to a value of a feature structure belonging to an entirely different CAS.
      See Also:
        Constant Field Values

    - #### ILLEGAL_FEAT_SET

          public static final String ILLEGAL_FEAT_SET

      While FS was in the index, illegal attempt to modify Feature "{0}" which is used as a key in one or more indexes; FS = "{1}"
      See Also:
        Constant Field Values

    - #### LENIENT_NOT_SUPPORTED

          public static final String LENIENT_NOT_SUPPORTED

      Lenient deserialization not support for input of type {0}.
      See Also:
        Constant Field Values

    - #### SWITCH_CLASS_LOADER_NESTED

          public static final String SWITCH_CLASS_LOADER_NESTED

      Multiply nested classloaders not supported. Original base loader: {0}, current nested loader: {1}, trying to switch to loader: {2}.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CASRuntimeException

          public CASRuntimeException()

    - #### CASRuntimeException

          public CASRuntimeException(String messageKey)

    - #### CASRuntimeException

          public CASRuntimeException(String aMessageKey,
                                     Object[] aArguments,
                                     Throwable aCause)

    - #### CASRuntimeException

          public CASRuntimeException(String aMessageKey,
                                     Object[] aArguments)

    - #### CASRuntimeException

          public CASRuntimeException(String aResourceBundleName,
                                     String aMessageKey,
                                     Object[] aArguments,
                                     Throwable aCause)

    - #### CASRuntimeException

          public CASRuntimeException(String aResourceBundleName,
                                     String aMessageKey,
                                     Object[] aArguments)

    - #### CASRuntimeException

          public CASRuntimeException(Throwable aCause)

Copyright © 2006–2019 The Apache Software Foundation. All rights reserved.